> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Invoice

> Update an invoice.



## OpenAPI

````yaml /api/openapi-finindex.json patch /api/v1/invoices/{invoice_id}
openapi: 3.1.0
info:
  title: Finindex API — ERP · Finance · Accounting
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/invoices/{invoice_id}:
    patch:
      tags:
        - Invoices
      summary: Update Invoice
      description: Update an invoice.
      operationId: update_invoice_api_v1_invoices__invoice_id__patch
      parameters:
        - name: invoice_id
          in: path
          required: true
          schema:
            type: string
            title: Invoice Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InvoiceUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/routers__external__invoices__InvoiceResponse
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    InvoiceUpdate:
      properties:
        invoiceNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Invoicenumber
        invoiceType:
          anyOf:
            - type: string
            - type: 'null'
          title: Invoicetype
        salesOrderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Salesorderid
        clientId:
          anyOf:
            - type: string
            - type: 'null'
          title: Clientid
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        subtotal:
          anyOf:
            - type: number
            - type: 'null'
          title: Subtotal
        taxRate:
          anyOf:
            - type: number
            - type: 'null'
          title: Taxrate
        taxAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Taxamount
        totalAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Totalamount
        paidAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Paidamount
        remainingBalance:
          anyOf:
            - type: number
            - type: 'null'
          title: Remainingbalance
        issuedDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Issueddate
        dueDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Duedate
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
      type: object
      title: InvoiceUpdate
    routers__external__invoices__InvoiceResponse:
      properties:
        id:
          type: string
          title: Id
        invoiceNumber:
          type: string
          title: Invoicenumber
        invoiceType:
          anyOf:
            - type: string
            - type: 'null'
          title: Invoicetype
        salesOrderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Salesorderid
        clientId:
          anyOf:
            - type: string
            - type: 'null'
          title: Clientid
        clientName:
          anyOf:
            - type: string
            - type: 'null'
          title: Clientname
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        subtotal:
          anyOf:
            - type: number
            - type: 'null'
          title: Subtotal
        taxRate:
          anyOf:
            - type: number
            - type: 'null'
          title: Taxrate
        taxAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Taxamount
        totalAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Totalamount
        paidAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Paidamount
        remainingBalance:
          anyOf:
            - type: number
            - type: 'null'
          title: Remainingbalance
        issuedDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Issueddate
        dueDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Duedate
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        lineItems:
          anyOf:
            - items:
                $ref: '#/components/schemas/InvoiceLineItem'
              type: array
            - type: 'null'
          title: Lineitems
      type: object
      required:
        - id
        - invoiceNumber
      title: InvoiceResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InvoiceLineItem:
      properties:
        id:
          type: string
          title: Id
        invoiceId:
          type: string
          title: Invoiceid
        salesOrderLineItemId:
          anyOf:
            - type: string
            - type: 'null'
          title: Salesorderlineitemid
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        qty:
          anyOf:
            - type: number
            - type: 'null'
          title: Qty
        unitPrice:
          anyOf:
            - type: number
            - type: 'null'
          title: Unitprice
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
      type: object
      required:
        - id
        - invoiceId
      title: InvoiceLineItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````